This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1254285 - [abrt] gnome-shell: object_instance_trace(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: object_instance_trace(): gnome-shell killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0360899b536a124b98f61368bad...
:
: 1344725 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 11:28 EDT by Mikhail
Modified: 2016-12-20 09:25 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:25:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.99 KB, text/plain)
2015-08-17 11:28 EDT, Mikhail
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-17 11:28 EDT, Mikhail
no flags Details
File: core_backtrace (14.99 KB, text/plain)
2015-08-17 11:28 EDT, Mikhail
no flags Details
File: dso_list (24.49 KB, text/plain)
2015-08-17 11:28 EDT, Mikhail
no flags Details
File: environ (1.89 KB, text/plain)
2015-08-17 11:29 EDT, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-17 11:29 EDT, Mikhail
no flags Details
File: maps (223.45 KB, text/plain)
2015-08-17 11:29 EDT, Mikhail
no flags Details
File: mountinfo (3.77 KB, text/plain)
2015-08-17 11:29 EDT, Mikhail
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-17 11:29 EDT, Mikhail
no flags Details
File: open_fds (3.80 KB, text/plain)
2015-08-17 11:29 EDT, Mikhail
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-08-17 11:29 EDT, Mikhail
no flags Details
File: var_log_messages (322 bytes, text/plain)
2015-08-17 11:29 EDT, Mikhail
no flags Details
full journal log here (522.56 KB, application/x-gzip)
2015-10-27 17:28 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2015-08-17 11:28:50 EDT
Version-Release number of selected component:
gnome-shell-3.17.4-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: object_instance_trace
executable:     /usr/bin/gnome-shell
global_pid:     17127
kernel:         4.2.0-0.rc6.git0.2.fc23.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 object_instance_trace at gi/object.cpp:1381
 #1 js::GCMarker::processMarkStackTop at /usr/src/debug/mozjs-24.2.0/js/src/gc/Marking.cpp:1413
 #2 js::GCMarker::drainMarkStack at /usr/src/debug/mozjs-24.2.0/js/src/gc/Marking.cpp:1466
 #3 DrainMarkStack at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:3779
 #4 IncrementalCollectSlice at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:4264
 #5 GCCycle at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:4422
 #6 Collect at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:4558
 #8 js::GCSlice at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:4594
 #9 js_InvokeOperationCallback at /usr/src/debug/mozjs-24.2.0/js/src/jscntxt.cpp:1112
 #10 js_HandleExecutionInterrupt at /usr/src/debug/mozjs-24.2.0/js/src/jscntxt.cpp:1141
Comment 1 Mikhail 2015-08-17 11:28:54 EDT
Created attachment 1063935 [details]
File: backtrace
Comment 2 Mikhail 2015-08-17 11:28:55 EDT
Created attachment 1063936 [details]
File: cgroup
Comment 3 Mikhail 2015-08-17 11:28:57 EDT
Created attachment 1063937 [details]
File: core_backtrace
Comment 4 Mikhail 2015-08-17 11:28:58 EDT
Created attachment 1063938 [details]
File: dso_list
Comment 5 Mikhail 2015-08-17 11:29:00 EDT
Created attachment 1063939 [details]
File: environ
Comment 6 Mikhail 2015-08-17 11:29:01 EDT
Created attachment 1063940 [details]
File: limits
Comment 7 Mikhail 2015-08-17 11:29:04 EDT
Created attachment 1063941 [details]
File: maps
Comment 8 Mikhail 2015-08-17 11:29:05 EDT
Created attachment 1063942 [details]
File: mountinfo
Comment 9 Mikhail 2015-08-17 11:29:06 EDT
Created attachment 1063943 [details]
File: namespaces
Comment 10 Mikhail 2015-08-17 11:29:08 EDT
Created attachment 1063944 [details]
File: open_fds
Comment 11 Mikhail 2015-08-17 11:29:09 EDT
Created attachment 1063945 [details]
File: proc_pid_status
Comment 12 Mikhail 2015-08-17 11:29:11 EDT
Created attachment 1063946 [details]
File: var_log_messages
Comment 13 Mikhail 2015-10-27 08:56:34 EDT
Still occurs with gnome-shell-3.18.1-1.fc23.x86_64
Comment 14 Owen Taylor 2015-10-27 09:40:21 EDT
How often does this occur for you?
Is there anything specific that triggers it?
Are there any Javascript exceptions in your journalctl logs before a crash?

 They would start with  gnome-session[1393]: (gnome-shell:1400): Gjs-WARNING **: JS ERROR: 

and then have several lines of backtrace following. (You can search for JS ERROR)

Do you have any GNOME Shell extensions installed?
Comment 15 Adam Williamson 2015-10-27 15:00:23 EDT
Another user experienced a similar problem:

I was alt-tabbing while a VM was starting up in the background, I think.

reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: object_instance_trace
executable:     /usr/bin/gnome-shell
global_pid:     3296
kernel:         4.2.3-300.fc23.x86_64
package:        gnome-shell-3.18.1-1.fc23
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 16 Adam Williamson 2015-10-27 15:04:10 EDT
There are no JS ERRORs around the time of the crash, here. 38 seconds earlier there's an goa-daemon warning, "Oct 27 11:27:30 adam.happyassassin.net org.gnome.OnlineAccounts[2985]: (goa-daemon:3347): GoaBackend-WARNING **: secret_password_lookup_sync() returned NULL".
Comment 17 Mikhail 2015-10-27 17:26:32 EDT
(In reply to Owen Taylor from comment #14)
> How often does this occur for you?
it is happens sometimes without clear reason.

> Is there anything specific that triggers it?
May be moving window? I am not sure.

> Are there any Javascript exceptions in your journalctl logs before a crash?
> 
>  They would start with  gnome-session[1393]: (gnome-shell:1400): Gjs-WARNING
> **: JS ERROR: 
> 
> and then have several lines of backtrace following. (You can search for JS
> ERROR)

I see only this, but it happened 6 hours earlier

окт 27 11:53:50 localhost.localdomain dbus[845]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service'
окт 27 11:53:50 localhost.localdomain systemd[1]: Starting Fingerprint Authentication Daemon...
окт 27 11:53:50 localhost.localdomain dbus[845]: [system] Successfully activated service 'net.reactivated.Fprint'
окт 27 11:53:50 localhost.localdomain systemd[1]: Started Fingerprint Authentication Daemon.
окт 27 11:53:50 localhost.localdomain audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=fprintd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
окт 27 11:53:53 localhost.localdomain unix_chkpwd[1776]: password check failed for user (mikhail)
окт 27 11:53:53 localhost.localdomain gdm-password][1764]: pam_unix(gdm-password:auth): authentication failure; logname= uid=0 euid=0 tty= ruser= rhost=  user=mikhail
окт 27 11:53:53 localhost.localdomain audit[1764]: USER_AUTH pid=1764 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:authentication grantors=? acct="mikhail" exe="/usr/libexec/gdm-session-worker" hostname=? addr=? terminal=? res=failed'
окт 27 11:53:55 localhost.localdomain audit[1764]: USER_LOGIN pid=1764 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='uid=1000 exe="/usr/libexec/gdm-session-worker" hostname=? addr=? terminal=? res=failed'
окт 27 11:53:56 localhost.localdomain gnome-session[2043]: (gnome-shell:2221): Gjs-WARNING **: JS ERROR: Gio.IOErrorEnum: The connection is closed
окт 27 11:53:56 localhost.localdomain gnome-session[2043]: ShellUserVerifier<.cancel@resource:///org/gnome/shell/gdm/util.js:189
окт 27 11:53:56 localhost.localdomain gnome-session[2043]: wrapper@resource:///org/gnome/gjs/modules/lang.js:169
окт 27 11:53:56 localhost.localdomain gnome-session[2043]: AuthPrompt<.reset@resource:///org/gnome/shell/gdm/authPrompt.js:450
окт 27 11:53:56 localhost.localdomain gnome-session[2043]: wrapper@resource:///org/gnome/gjs/modules/lang.js:169
окт 27 11:53:56 localhost.localdomain gnome-session[2043]: AuthPrompt<.cancel@resource:///org/gnome/shell/gdm/authPrompt.js:521
окт 27 11:53:56 localhost.localdomain gnome-session[2043]: wrapper@resource:///org/gnome/gjs/modules/lang.js:169
окт 27 11:53:56 localhost.localdomain gnome-session[2043]: AuthPrompt<._init/<@resource:///org/gnome/shell/gdm/authPrompt.js:82
окт 27 11:54:01 localhost.localdomain audit[1790]: USER_AUTH pid=1790 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:authentication grantors=pam_unix,pam_gnome_keyring acct="mikhail" exe="/usr/libexec/gdm-session-worker" hostname=? addr=? terminal=? res=success'
окт 27 11:54:01 localhost.localdomain audit[1790]: USER_ACCT pid=1790 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:accounting grantors=pam_unix,pam_localuser acct="mikhail" exe="/usr/libexec/gdm-session-worker" hostname=? addr=? terminal=? res=success'
окт 27 11:54:01 localhost.localdomain audit[1790]: CRED_REFR pid=1790 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_unix,pam_gnome_keyring acct="mikhail" exe="/usr/libexec/gdm-session-worker" hostname=? addr=? terminal=? res=success'
окт 27 11:54:20 localhost.localdomain audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=fprintd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
окт 27 11:54:46 localhost.localdomain org.gnome.OnlineAccounts[2039]: (goa-daemon:2303): GoaBackend-WARNING **: secret_password_lookup_sync() returned NULL
окт 27 11:54:46 localhost.localdomain org.gnome.OnlineAccounts[2039]: (goa-daemon:2303): GoaBackend-WARNING **: secret_password_lookup_sync() returned NULL
окт 27 11:54:48 localhost.localdomain org.gnome.OnlineAccounts[2039]: (goa-daemon:2303): GoaBackend-WARNING **: secret_password_lookup_sync() returned NULL
окт 27 11:54:49 localhost.localdomain org.gnome.OnlineAccounts[2039]: (goa-daemon:2303): GoaBackend-WARNING **: secret_password_lookup_sync() returned NULL
окт 27 11:55:26 localhost.localdomain org.gnome.OnlineAccounts[2039]: (goa-daemon:2303): GoaBackend-WARNING **: secret_password_lookup_sync() returned NULL


> Do you have any GNOME Shell extensions installed?
No.
Comment 18 Mikhail 2015-10-27 17:28 EDT
Created attachment 1087058 [details]
full journal log here
Comment 19 Xinya Zhang 2016-03-06 22:42:30 EST
Similar problem has been detected:

I'm using it as normal but suddenly it crashed.
No idea how to reproduce it.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: object_instance_trace
executable:     /usr/bin/gnome-shell
global_pid:     2501
kernel:         4.4.3-300.fc23.x86_64
package:        gnome-shell-3.18.3-1.fc23
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 brhahlen 2016-06-10 10:15:35 EDT
*** Bug 1344725 has been marked as a duplicate of this bug. ***
Comment 21 Fedora End Of Life 2016-11-24 07:19:42 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2016-12-20 09:25:25 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.